// Code generated by protoc-gen-go. DO NOT EDIT.
// source: readFileClientBegin/model/phonebook.proto

/*
Package models is a generated protocol buffer package.

It is generated from these files:
	readFileClientBegin/model/phonebook.proto

It has these top-level messages:
	ListResponse
	Response
	Record
*/
package models

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ListResponse struct {
	Record []*Record `protobuf:"bytes,1,rep,name=record" json:"record,omitempty"`
}

func (m *ListResponse) Reset()                    { *m = ListResponse{} }
func (m *ListResponse) String() string            { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()               {}
func (*ListResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ListResponse) GetRecord() []*Record {
	if m != nil {
		return m.Record
	}
	return nil
}

type Response struct {
	Message string `protobuf:"bytes,1,opt,name=message" json:"message,omitempty"`
}

func (m *Response) Reset()                    { *m = Response{} }
func (m *Response) String() string            { return proto.CompactTextString(m) }
func (*Response) ProtoMessage()               {}
func (*Response) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Response) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type Record struct {
	Phonenumber string `protobuf:"bytes,1,opt,name=phonenumber" json:"phonenumber,omitempty"`
	Name        string `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Addres      string `protobuf:"bytes,3,opt,name=addres" json:"addres,omitempty"`
}

func (m *Record) Reset()                    { *m = Record{} }
func (m *Record) String() string            { return proto.CompactTextString(m) }
func (*Record) ProtoMessage()               {}
func (*Record) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *Record) GetPhonenumber() string {
	if m != nil {
		return m.Phonenumber
	}
	return ""
}

func (m *Record) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Record) GetAddres() string {
	if m != nil {
		return m.Addres
	}
	return ""
}

func init() {
	proto.RegisterType((*ListResponse)(nil), "models.ListResponse")
	proto.RegisterType((*Response)(nil), "models.Response")
	proto.RegisterType((*Record)(nil), "models.Record")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for RecService service

type RecServiceClient interface {
	SendRecordsFromFileToBolt(ctx context.Context, opts ...grpc.CallOption) (RecService_SendRecordsFromFileToBoltClient, error)
}

type recServiceClient struct {
	cc *grpc.ClientConn
}

func NewRecServiceClient(cc *grpc.ClientConn) RecServiceClient {
	return &recServiceClient{cc}
}

func (c *recServiceClient) SendRecordsFromFileToBolt(ctx context.Context, opts ...grpc.CallOption) (RecService_SendRecordsFromFileToBoltClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_RecService_serviceDesc.Streams[0], c.cc, "/models.RecService/SendRecordsFromFileToBolt", opts...)
	if err != nil {
		return nil, err
	}
	x := &recServiceSendRecordsFromFileToBoltClient{stream}
	return x, nil
}

type RecService_SendRecordsFromFileToBoltClient interface {
	Send(*Record) error
	CloseAndRecv() (*Response, error)
	grpc.ClientStream
}

type recServiceSendRecordsFromFileToBoltClient struct {
	grpc.ClientStream
}

func (x *recServiceSendRecordsFromFileToBoltClient) Send(m *Record) error {
	return x.ClientStream.SendMsg(m)
}

func (x *recServiceSendRecordsFromFileToBoltClient) CloseAndRecv() (*Response, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(Response)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// Server API for RecService service

type RecServiceServer interface {
	SendRecordsFromFileToBolt(RecService_SendRecordsFromFileToBoltServer) error
}

func RegisterRecServiceServer(s *grpc.Server, srv RecServiceServer) {
	s.RegisterService(&_RecService_serviceDesc, srv)
}

func _RecService_SendRecordsFromFileToBolt_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(RecServiceServer).SendRecordsFromFileToBolt(&recServiceSendRecordsFromFileToBoltServer{stream})
}

type RecService_SendRecordsFromFileToBoltServer interface {
	SendAndClose(*Response) error
	Recv() (*Record, error)
	grpc.ServerStream
}

type recServiceSendRecordsFromFileToBoltServer struct {
	grpc.ServerStream
}

func (x *recServiceSendRecordsFromFileToBoltServer) SendAndClose(m *Response) error {
	return x.ServerStream.SendMsg(m)
}

func (x *recServiceSendRecordsFromFileToBoltServer) Recv() (*Record, error) {
	m := new(Record)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _RecService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "models.RecService",
	HandlerType: (*RecServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "SendRecordsFromFileToBolt",
			Handler:       _RecService_SendRecordsFromFileToBolt_Handler,
			ClientStreams: true,
		},
	},
	Metadata: "readFileClientBegin/model/phonebook.proto",
}

func init() { proto.RegisterFile("readFileClientBegin/model/phonebook.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 235 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x90, 0x4f, 0x4b, 0xc4, 0x30,
	0x10, 0xc5, 0xad, 0x2b, 0x51, 0x67, 0x45, 0x24, 0x07, 0x89, 0x9e, 0x4a, 0x11, 0xa9, 0x97, 0x2e,
	0xac, 0xe0, 0xdd, 0x15, 0xf6, 0x24, 0x08, 0x59, 0xf1, 0xde, 0x36, 0x8f, 0x1a, 0x6c, 0x32, 0x25,
	0xa9, 0x7e, 0x7e, 0x31, 0xad, 0x7f, 0xf0, 0x96, 0xf7, 0x9b, 0x79, 0xe4, 0xcd, 0xa3, 0x9b, 0x80,
	0xda, 0x6c, 0x6d, 0x8f, 0x87, 0xde, 0xc2, 0x8f, 0x1b, 0x74, 0xd6, 0xaf, 0x1c, 0x1b, 0xf4, 0xab,
	0xe1, 0x95, 0x3d, 0x1a, 0xe6, 0xb7, 0x6a, 0x08, 0x3c, 0xb2, 0x14, 0x09, 0xc7, 0xe2, 0x8e, 0x4e,
	0x1e, 0x6d, 0x1c, 0x35, 0xe2, 0xc0, 0x3e, 0x42, 0x5e, 0x93, 0x08, 0x68, 0x39, 0x18, 0x95, 0xe5,
	0x8b, 0x72, 0xb9, 0x3e, 0xad, 0xa6, 0xc5, 0x4a, 0x27, 0xaa, 0xe7, 0x69, 0x71, 0x45, 0x47, 0x3f,
	0x1e, 0x45, 0x87, 0x0e, 0x31, 0xd6, 0x1d, 0x54, 0x96, 0x67, 0xe5, 0xb1, 0xfe, 0x96, 0xc5, 0x0b,
	0x89, 0xc9, 0x27, 0x73, 0x5a, 0xa6, 0x08, 0xfe, 0xdd, 0x35, 0x08, 0xf3, 0xde, 0x5f, 0x24, 0x25,
	0x1d, 0xf8, 0xda, 0x41, 0xed, 0xa7, 0x51, 0x7a, 0xcb, 0x73, 0x12, 0xb5, 0x31, 0x01, 0x51, 0x2d,
	0x12, 0x9d, 0xd5, 0xfa, 0x89, 0x48, 0xa3, 0xdd, 0x21, 0x7c, 0xd8, 0x16, 0xf2, 0x9e, 0x2e, 0x76,
	0xf0, 0x66, 0xfa, 0x29, 0x6e, 0x03, 0xbb, 0xaf, 0x0e, 0x9e, 0x79, 0xc3, 0xfd, 0x28, 0xff, 0x1d,
	0x70, 0x79, 0xf6, 0xab, 0xa7, 0xf8, 0xc5, 0x5e, 0x99, 0x35, 0x22, 0xb5, 0x72, 0xfb, 0x19, 0x00,
	0x00, 0xff, 0xff, 0x23, 0xe6, 0x2b, 0x8d, 0x42, 0x01, 0x00, 0x00,
}
